API Reference

Tax Codes

6 endpoints· Auth: JWT or API Key
get/api/v1/console/accounting/tax-codes JWT API Key

Get tax-codes

Query parameters

Kind
string
—
AppliesTo
TaxAppliesTo
—
Active
boolean
—
IncludeDeleted
boolean
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/accounting/tax-codes" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/accounting/tax-codes JWT API Key

Create tax-codes

Request body

application/json
{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "kind": "string",
  "ratePermille": 0,
  "appliesTo": "Sales"
}
code
string
—
name
string
—
nameAr
string
—
kind
string
—
ratePermille
integer (int32)
—
appliesTo
TaxAppliesTo
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/accounting/tax-codes" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "kind": "string",
  "ratePermille": 0,
  "appliesTo": "Sales"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/accounting/tax-codes/{id} JWT API Key

Get id

Path parameters

idrequired
string (uuid)
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/accounting/tax-codes/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
put/api/v1/console/accounting/tax-codes/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "ratePermille": 0,
  "appliesTo": "Sales"
}
name
string
—
nameAr
string
—
ratePermille
integer (int32)
—
appliesTo
TaxAppliesTo
—

Responses

200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/accounting/tax-codes/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "ratePermille": 0,
  "appliesTo": "Sales"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/accounting/tax-codes/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/accounting/tax-codes/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/accounting/tax-codes/{id}/active JWT API Key

Create active

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "active": false,
  "reason": "string"
}
active
boolean
—
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/accounting/tax-codes/{id}/active" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "active": false,
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu